Index: Tst/Old/curve.res.gz.uu
===================================================================
--- Tst/Old/curve.res.gz.uu	(revision 7668071605e2a9aa0d4be436ad97d172a27d5ca4)
+++ Tst/Old/curve.res.gz.uu	(revision 571fd10a7ece4806fc608f75612b18cdd3879808)
@@ -1,14 +1,13 @@
-begin 644 curve.res.gz
-M'XL("*E+/CH``V-U<G9E+G)E<P!]4L&.FS`0O?,5TZ@'"#8+=F#91'"H>HE4
-M];*]5:L5F[!;2PY$L:F,O[X3+TLL5:P/P\R\-X^9L1]_?=__!("LAKL[N+2J
-MEX,6?0?]*S2@SLVAA<-P^=M"DB3!X\1F"5Q$]P:7*B6A)H:,Q!(9D?!X)H=H
-M-_-X#>+8-A)$95DLS<92DX]D1)\;AH&E3)J<2F8XIFU\=3!=4.2.-YW-K,,J
-MI8^A\/Z1UR"%TM?>A:@4?D+!2.HQ"H]1G41WI3BVQ[FO'?P[>]H%SV@K4\38
-M@J38CV1TM)AEF,U'BE-(:ADF^%/%3"YC;!XY.)#D%&<S=I8M)UGV(5N:C5R_
-MM5W((YH5ADOFHBR*2\,D=P&+:&DF+R['B4!+.Q6^MU*:W!.:5)W.A^BMFLW5
-M633W]E##&6]1AR^MUL)M)"(K%ZQP,_@<UFMP(3WTIU/3';>P[\Z#!J&@ZS7\
-MZ4\]:K;]H+X$<#NILYFS+*`+QU6D6X]+WZT#LJV?\@"V!/`E8+,$Y#[`/:!8
-MJKA?`LHEX.%_X).5Z%XWTE\)GRJF.\O2&G[LO\%**YU(\;+:H?.L=*,'A5>[
-,^QK\`YTDF>30`P``
+begin 640 curve.res.gz
+M'XL(".?19T(``V-U<G9E+G)E<P!]44UOHS`0O>=7C*(]0+$IC`.EC>"PVDNE
+MJI?N;555-&$K2],D"DYE_.L[<2FQM&)]&&;FO7G,Q]/O7_>/`)`W<'T-QZ[?
+MT\GH_0[V?Z&%_M!N.MB<CA\=I&FZ>!K9F,)1[][@6&<B,L**03A!L8BV![&)
+MUQ-/-:"W74N@:X<)V963MAC$P+ZRR(&32+:0A%9QVB5GA].E9.YPT5E-.ECW
+M9AOIX!]%`Z1[<^Y=Z[KG3Z119`&C#!CUN]Z=*9X=<&X:#__)G]>+%[:U+1-N
+M@23W0R@'QUGD;#%(GH*D0TZHYQIM00DWSQP>B)3DV:R;9*M1%K]E*[NBJ[=N
+M%ZE8YJ55A#[*XZ2R2,H'&,O*CEY2#2-!5FXL_&JELD4@-*IZG6_12S5.U7D\
+M]7;;P(&O:*+7SACM-Q*+I0^6O!FXO,S;W%M<R)GG*[*[@"N_K`?RNS`5`#@'
+MJ#E@-0<4(:`"H)RKN)D#JCG@]E_@/RLQ>]-2N!(U5HQ'R+,&'NY_PM+T)B7]
+7NERS\]*;UIQZOM7ZQ^(3F0F.=J$#````
 `
 end
Index: Tst/Old/curve.stat
===================================================================
--- Tst/Old/curve.stat	(revision 7668071605e2a9aa0d4be436ad97d172a27d5ca4)
+++ Tst/Old/curve.stat	(revision 571fd10a7ece4806fc608f75612b18cdd3879808)
@@ -1,4 +1,4 @@
-1 >> tst_memory_0 :: nepomuck.mathematik.uni-kl.de:129774  leda:142406 966250135:2000081016:1-3-8:ix86-Linux-libc5:nepomuck.mathematik.uni-kl.de:129754 966254004:2000081403:1-3-8:HPUX-10:wilde13:130134 966198245:2000081322:1-3-8:ix86-Linux:nepo:129622 966433828:2000081615:1-3-9:ix86-Linux:nepo:159716 966441368:2000081617:1-3-9:HPUX-10:wilde13:160284 967836380:2000090121:1-3-9:ix86-Linux:topgun:180036 968077128:2000081322:1-3-8:ix86-Linux:nepo:129622 968078051:2000090416:1-3-9:ix86-Linux:nepo:179696 977161121:2000121818:1-3-12:ix86-Linux:nepomuck:166036
-1 >> tst_memory_1 :: nepomuck.mathematik.uni-kl.de:208786  leda:208786 966250135:2000081016:1-3-8:ix86-Linux-libc5:nepomuck.mathematik.uni-kl.de:208786 966254004:2000081403:1-3-8:HPUX-10:wilde13:204802 966198245:2000081322:1-3-8:ix86-Linux:nepo:204694 966433828:2000081615:1-3-9:ix86-Linux:nepo:685268 966441368:2000081617:1-3-9:HPUX-10:wilde13:700020 967836380:2000090121:1-3-9:ix86-Linux:topgun:684444 968077128:2000081322:1-3-8:ix86-Linux:nepo:204694 968078051:2000090416:1-3-9:ix86-Linux:nepo:687924 977161121:2000121818:1-3-12:ix86-Linux:nepomuck:684216
-1 >> tst_memory_2 :: nepomuck.mathematik.uni-kl.de:114688  leda:118784 966250135:2000081016:1-3-8:ix86-Linux-libc5:nepomuck.mathematik.uni-kl.de:114688 966254004:2000081403:1-3-8:HPUX-10:wilde13:114688 966198245:2000081322:1-3-8:ix86-Linux:nepo:118784 966433828:2000081615:1-3-9:ix86-Linux:nepo:685268 966441368:2000081617:1-3-9:HPUX-10:wilde13:700020 967836380:2000090121:1-3-9:ix86-Linux:topgun:684444 968077128:2000081322:1-3-8:ix86-Linux:nepo:118784 968078051:2000090416:1-3-9:ix86-Linux:nepo:687924 977161121:2000121818:1-3-12:ix86-Linux:nepomuck:684216
-1 >> tst_timer_1 :: nepomuck.mathematik.uni-kl.de:7  leda:8 966250135:2000081016:1-3-8:ix86-Linux-libc5:nepomuck.mathematik.uni-kl.de:7 966254004:2000081403:1-3-8:HPUX-10:wilde13:10 966198245:2000081322:1-3-8:ix86-Linux:nepo:1 966433828:2000081615:1-3-9:ix86-Linux:nepo:2 966441368:2000081617:1-3-9:HPUX-10:wilde13:10 967836380:2000090121:1-3-9:ix86-Linux:topgun:5 968077128:2000081322:1-3-8:ix86-Linux:nepo:3 968078051:2000090416:1-3-9:ix86-Linux:nepo:1 977161121:2000121818:1-3-12:ix86-Linux:nepomuck:3
+1 >> tst_memory_0 :: 1114100199:2005042118:2-1-99:ix86-Linux:nepomuck:170284
+1 >> tst_memory_1 :: 1114100199:2005042118:2-1-99:ix86-Linux:nepomuck:690068
+1 >> tst_memory_2 :: 1114100199:2005042118:2-1-99:ix86-Linux:nepomuck:690068
+1 >> tst_timer_1 :: 1114100199:2005042118:2-1-99:ix86-Linux:nepomuck:2
Index: Tst/Old/m10ex.res.gz.uu
===================================================================
--- Tst/Old/m10ex.res.gz.uu	(revision 7668071605e2a9aa0d4be436ad97d172a27d5ca4)
+++ Tst/Old/m10ex.res.gz.uu	(revision 571fd10a7ece4806fc608f75612b18cdd3879808)
@@ -1,25 +1,25 @@
-begin 644 m10ex.res.gz
-M'XL("#Q\H3T``VTQ,&5X+G)E<P"E5M]OVS@,?O=?011[L#LYL>2MVY++'G:7
-M=L.R/K0#[F'H%4ZL)$+\([65PO9?/U*.9;?I@,/FMJY$BOPD\B/EV^__?+D&
-M`/X17XLOG^!LFZ=YDF]&B5J>39W;HUZ0OE#9!FYF`7,K5GLL+GM]2'H5RR@!
-M-:N$7X>][@WI'HSQ`\R@U+&KO"G89SR&6*Y5)DO06PD/AUPKF>D6;I&O[G<_
-M$.]N[!J_GO7[ML=,T6\:56;B<J_'OJ`U:1X?$@G?^5=<-J^TRUG*4K,%Q%[E
-MZ?Z@$1PU_W'W9IPR_/,<VI9*95:J/(-\W:HG``%I'E$U%)I'.!;W'>'N\03:
-M15C<4,#0DM6L8O2F&8`Y#W/\6J"X4[3"=H'#C57_0\+`8%FD]Q8ID8\RF8E!
-M9(_1W:A'/%Z:%Q)DM4^B+-)X)NOAPS!&XNN,(B1LA$YC))[$Z&^CHE09';A;
-MF>QI/#WB1MD0U9N0T4)J"/[R_56^DX7[S</A)<TO.;T$OD:C$2PE1%#(,D\.
-M^IB$SH"1ERB+!UZNR<L5S:\XVNW1$%D4/;6\;BV19QE\SE/W4K"KP//]CV82
-MT@14:7:>P;*>."8W3L6@A@[2+.5FZ6OKA%LGXM2)3WG'?!]33.XHZ4&;='!>
-MY)IXB6OBE&L\Z+E&M84I])!P`P!FV&?1!Z2R-.+\&8T"6T-<#/@QMQ54UHV;
-M>L=_B/<GY<+#IT>8>]XS%L,QA@$S6^^/A6*_MI+`R-I?;JO&Z02#6G(ZP5#6
-M"7I9'R#3Q<;C?R644L*ZR%/3K=)(%VIE6E>DJ7P,1>808;&I$GMIL=^JE?7R
-M=F2\1"4H#>4V/R0QTGP*RX.&9:ZWQBY6Z[4LD+Q)W=%8QM;%1>O"__^/-7TW
-M>M[%68-]?&^R=WZ.M68:L5F`<VOWON^TH)`!E:A9+1K6A%5/DP^G-+F_P4:B
-M?D$.HC*W%!`#%L]-OZ1L-H(YC<F$7U'**,]^;9,B>)L44&NL^-`O8HS?YI#2
-M[6$+T$6\**M!UWMI+P\AVBBB6:)*W>UIAZU-L1N/H?SVTW.I26T$CW*E\P+*
-M?;22L(Q*55JOX=$K@A=2'XI,QA.K?$-*@[;HXQ,RQ<[.?A&B\*7Z"4_K1YBK
-M<#&?.C_XW<3!\3T.9O7Y1F9X';8"<3>KG@C"NUDC.@FJ?],PM(8,39MNC%;<
-M[N^B3^YBC@[QO%3.C;`K!A?F#F,JC^MP8<-Z/X:(.Y4D49*X7D=;$A!GJ1[)
-IUC!\C2DRK0PCV)DC1<TWCBYU^WV#@_L2[XA#25\-KYR?-[64?0\)````
+begin 640 m10ex.res.gz
+M'XL("(?29T(``VTQ,&5X+G)E<P"E5DUOVS@0O>M7#((>I"QEBU2;MO:ZA^XZ
+M:5$WAZ3`'HIL(%NT35@?CD@%DG[]#BF)4F(76.PJB4+.<-Z0,V^&NO_QY]=;
+M`*"?\+7Z^ADN]GF:)_ENDHCUQ=RY[_1,ZPN1[>!N$1"W(K5'8CGH0ZT7,8\2
+M$(N*^74XZ-YJW9,Q?H(%2!6[PIN#?:93B/E69%R"VG-X*G,E>*9:=ZM\\WCX
+MB?X>IJ[!]2SNN\%GBKAI5)F)2[W!]Y5>D^9QF7#X0;_ALF6E7$I2DIHMH.]-
+MGAY+A<Y1\S=U[Z8IP3_/T=L2*<^DR#/(MZUZ!A!HS3.JQD+S,,?Z?:_]'O$$
+MRD6WN*&`H"6I247TV_%KAL-V$A"'&FWW`Q;E@T5)^#-/%FP4M2YR._&,6T_S
+M@@.OCDF410KW:Q$^CL_/OBWTZ9D]_>GYV8OS_V%4.@U&!^Z>)T<]GG=^HVSL
+MU9MIHQ57$/SN^YO\P`OWNX?#:SV_IOK%\#693&#-(8*"RSPI51?@WH!HE"B+
+M1RBW&N5&SV\HVAW1$!D2O;2\;2V10QE\R5/WFI&;P//]3V82Z@D(:7:>P;J>
+M.28'3D6@AMZE64K-TM\L"+4@[!3$USD%L*G$B4YNT"87G+,\8N=XQ$YY1(.!
+M1[IN,(4>DFGD@!AFG2.2I1&EKV@4V/J@;,2/I:T.63=NZG7_T-__*04:OCS"
+MTO->L1BZ&`;$;'TX%HK]VDH"(VM_:5\KO8R2H7Z,C%J\3M8+SM09-1UJ.OV+
+M@^0<MD6>FDZ41JH0&].6(J7+QU!D"1$6FY#8)XOC7FPLRKN)08DD"`5RGY=)
+MC#2?P[I4L,[5WMC%8KOE!9(WJ7L:\]A"7+40_K]_K.G[R>L.31KLT4>3O<M+
+MK#739,T"G%N[#T,7!8$,J%A-:M:0)JP&FGP\I<GC'382\0MR:"I32P$V8O'2
+M]$*=S881IS&9\"N=,IUGO[9)8;1-"H@M5GSH%S'&;U>F^F:P!>BBORBK0=5'
+M;B\&QMHHHEDBI.KW=,#6)LB=1U!^__FUU*0V@F>^47D!\AAM.*PC*:1%#3M4
+M=%YP5189CV=6^58KC;?5$)^0"')Q\8L0A>?J)SRM'V:NN=5R[ORD#S,'QX\X
+M6-27.Y[A5=<*V,.B>B$('Q8-ZR6H_H^&H34D:-KT8[2B=G]70W)72P3$\^IR
+M;IA=,;H,#QA3WJW#A0T9<`P1#R))HB1QO9ZV6J`YJ^M1VQJ&;S%%II5A!'MS
+>I*CY?E%2M=\N.'B4>$>44G\1O''^`1,0*F?K"```
 `
 end
Index: Tst/Old/m10ex.stat
===================================================================
--- Tst/Old/m10ex.stat	(revision 7668071605e2a9aa0d4be436ad97d172a27d5ca4)
+++ Tst/Old/m10ex.stat	(revision 571fd10a7ece4806fc608f75612b18cdd3879808)
@@ -1,4 +1,4 @@
-1 >> tst_memory_0 :: 1033993276:2002092514:2-0-3:ix86-Linux:mahlzahn:196612
-1 >> tst_memory_1 :: 1033993276:2002092514:2-0-3:ix86-Linux:mahlzahn:727160
-1 >> tst_memory_2 :: 1033993276:2002092514:2-0-3:ix86-Linux:mahlzahn:727160
-1 >> tst_timer_1 :: 1033993276:2002092514:2-0-3:ix86-Linux:mahlzahn:16
+1 >> tst_memory_0 :: 1114100359:2005042118:2-1-99:ix86-Linux:nepomuck:231860
+1 >> tst_memory_1 :: 1114100359:2005042118:2-1-99:ix86-Linux:nepomuck:726932
+1 >> tst_memory_2 :: 1114100359:2005042118:2-1-99:ix86-Linux:nepomuck:726932
+1 >> tst_timer_1 :: 1114100359:2005042118:2-1-99:ix86-Linux:nepomuck:18