Index: Tst/Short/zerodim_11_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_11_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_11_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -9,4 +9,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_12_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_12_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_12_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -9,4 +9,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_13_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_13_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_13_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -9,4 +9,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_14_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_14_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_14_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -10,4 +10,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_15_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_15_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_15_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -9,4 +9,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_16_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_16_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_16_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -9,4 +9,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_18_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_18_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_18_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -8,4 +8,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_1_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_1_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_1_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -8,4 +8,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_20_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_20_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_20_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -9,4 +9,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_23_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_23_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_23_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -12,4 +12,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_24_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_24_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_24_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -10,4 +10,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_26_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_26_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_26_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -8,4 +8,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_27_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_27_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_27_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -10,4 +10,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_28_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_28_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_28_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -16,4 +16,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_29_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_29_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_29_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -14,4 +14,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_2_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_2_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_2_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -9,4 +9,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_30_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_30_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_30_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -10,4 +10,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_31_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_31_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_31_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -8,4 +8,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_33_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_33_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_33_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -13,4 +13,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_3_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_3_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_3_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -8,4 +8,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_40_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_40_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_40_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -9,4 +9,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_41_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_41_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_41_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -9,4 +9,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_42_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_42_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_42_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -16,4 +16,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_43_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_43_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_43_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -10,4 +10,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_45_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_45_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_45_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -10,4 +10,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_46_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_46_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_46_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -10,4 +10,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_4_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_4_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_4_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -9,4 +9,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_51_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_51_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_51_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -9,4 +9,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_54_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_54_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_54_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -12,4 +12,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_57_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_57_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_57_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -14,4 +14,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_58_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_58_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_58_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -10,4 +10,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_59_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_59_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_59_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -10,4 +10,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_5_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_5_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_5_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -9,4 +9,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_60_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_60_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_60_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -9,4 +9,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_61_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_61_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_61_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -9,4 +9,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_62_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_62_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_62_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -9,4 +9,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_7_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_7_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_7_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -9,4 +9,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_8_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_8_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_8_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -8,4 +8,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     
Index: Tst/Short/zerodim_9_32003_lp_slimgb.tst
===================================================================
--- Tst/Short/zerodim_9_32003_lp_slimgb.tst	(revision 9b0761b32c0cd90819d2a7def582ce050dcdc524)
+++ Tst/Short/zerodim_9_32003_lp_slimgb.tst	(revision 598a84078a800b02aafc8e95151256de905a0258)
@@ -9,4 +9,4 @@
     slimgb(MYIDEALNAME);
     kill MYRINGNAME;
-    tst_status(1);exit;
+    tst_status(1);$
     