Index: Singular/LIB/resgraph.lib
===================================================================
--- Singular/LIB/resgraph.lib	(revision 40971d53362e3fb612b5ee52d46dc9023f52e8cd)
+++ Singular/LIB/resgraph.lib	(revision 0615d9680ee7c46dfdc3c107760b2f351a130c31)
@@ -7,10 +7,10 @@
 AUTHOR: A. Fruehbis-Krueger,  anne@mathematik.uni-kl.de,
 
-NOTE: This library uses the external programs surf, graphviz and xv.
+NOTE: This library uses the external programs surf, graphviz and imagemagick.
 @*    Input data is assumed to originate from resolve.lib and reszeta.lib
 
 PROCEDURES:
-InterDiv(M[,name])   dual graph of resolution of a surface (uses graphviz,xv)
-ResTree(L,M[,name])  tree of charts of resolution (uses graphviz,xv)
+InterDiv(M[,name])   dual graph of resolution of a surface (uses graphviz,imagemagick)
+ResTree(L,M[,name])  tree of charts of resolution (uses graphviz,imagemagick)
 finalCharts(L,...)   pictures of final charts of surface (uses surf)
 ";
@@ -27,5 +27,5 @@
 @*       if filename is given
 NOTE:    only available on UNIX-type systems and programs
-@*       'xv' (X11/Xorg package) and 'dot' (Graphviz package) need to
+@*       'display' (imagemagick package) and 'dot' (Graphviz package) need to
 @*       be in the standard search PATH
 RETURN:  nothing, only generating graphics output in separate window
@@ -85,14 +85,14 @@
   close(eing);
 //---------------------------------------------------------------------------
-// produce graphics output using the programs dot and xv
+// produce graphics output using the programs dot and display
 //---------------------------------------------------------------------------
   string outfile=@filename + ".jpg";
   if(!find(outfile,"/"))
   {
-//--- xv needs fully qualified path to file
+//--- display needs fully qualified path to file
      outfile=system("getenv","PWD") + "/" + outfile;
   }
   j=system("sh","dot -Tjpg " + @filename + " -o "+ outfile);
-  j=system("sh","xv " + outfile + " &");
+  j=system("sh","display " + outfile + " &");
 //---------------------------------------------------------------------------
 // clean up if necessary
@@ -160,5 +160,5 @@
 @*       if filename is given
 NOTE:    only available on UNIX-type systems and programs
-@*       'xv' (X11/Xorg package) and 'dot' (Graphviz package) need to
+@*       'display' (imagemagick package) and 'dot' (Graphviz package) need to
 @*       be in the standard search PATH
 RETURN:  nothing, only generating graphics output in separate window
@@ -271,14 +271,14 @@
   close(eing);
 //---------------------------------------------------------------------------
-// Create the graphics output using the programs dot and xv
+// Create the graphics output using the programs dot and display
 //---------------------------------------------------------------------------
   string outfile=@filename + ".jpg";
   if(!find(outfile,"/"))
   {
-//--- xv needs fully qualified path to file
+//--- display needs fully qualified path to file
      outfile=system("getenv","PWD") + "/" + outfile;
   }
   j=system("sh", "dot -Tjpg " + @filename + " -o "+ outfile);
-  j=system("sh","/usr/bin/X11/xv " + outfile + "&");
+  j=system("sh","display " + outfile + "&");
 //---------------------------------------------------------------------------
 // Clean up public directories if necessary
@@ -310,5 +310,5 @@
 @*       - several '.ras' files in the directory in which 'name' resides
 NOTE:    only available on UNIX-type systems
-@*       external programs 'surf' and 'xv' (X11/Xorg package) need to be
+@*       external programs 'surf' and 'display' (imagemagick package) need to be
 @*       in the standard search PATH
 RETURN:  nothing, only generating graphics output in separate window
@@ -556,5 +556,5 @@
      if(!find(fnamebase,"/"))
      {
-//--- xv needs fully qualified path to file
+//--- display needs fully qualified path to file
          if(defined(outfile)) {kill outfile;}
          string outfile=system("getenv","PWD") + "/" + fnamebase;
@@ -577,10 +577,10 @@
      if(!defined(outfile))
      {
-        j=system("sh","/usr/bin/X11/xv " + fnamebase
+        j=system("sh","display " + fnamebase
                        + string(endCharts[i]) + ".ras &");
      }
      else
      {
-        j=system("sh","/usr/bin/X11/xv " + outfile
+        j=system("sh","display " + outfile
                        + string(endCharts[i]) + ".ras &");
         kill outfile;